package cn.net.caoyao.cpzshandset.service.presenter;

import android.content.Intent;
import android.text.TextWatcher;

import cn.net.caoyao.cpzshandset.service.presenter.base.BasePresenter;
import cn.net.caoyao.cpzshandset.service.presenter.base.BaseView;

public interface ExchangeCargoConfigConstact {
	interface View extends BaseView<Presenter> {
		void setPageTitle(String homeTitle);
		void finishPage(); 
		void setFromDealerCode(String fromDealerCode);
		String getFromDealerCode();
		void addFromDealerTextChangedListener(TextWatcher t);
		void removeFromDealerTextChangedListener(TextWatcher t);
		void setFromDealerName(String dealerName);
		void setToDealerCode(String toDealerCode);
		String getToDealerCode();
		void addToDealerTextChangedListener(TextWatcher t);
		void removeToDealerTextChangedListener(TextWatcher t);
		void setToDealerName(String dealerName);
		void settCargoCount(String count);
		String getCargoCount();
		void setSingleBtnVisiable(int visibility);
		void setBatchBtnVisiable(int visibility);
		void setMoreOptionBtnVisiable(int visibility);
		void setMoreOptionBtnStr(String moreStr);
	}

	interface Presenter extends BasePresenter {
		void onActivityResult(int requestCode, int resultCode, Intent data);
		void onResume();
		void moreOptionClick();
		void backClick();
		void singleClick();
		void batchClick();
	}

}
